package leigh.conflux;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Alex Leigh
 */
public class Conflux {
    private final HashMap<String, DataSource> datasources = new HashMap<>();
    private final Model model;

    public Conflux(Model model) {
        this.model = model;
    }

    public Map<String, DataSource> getDataSources() {
        return datasources;
    }

    @Override
    public String toString() {
        return "Conflux{" +
                "datasources=" + datasources +
                '}';
    }
}
